cURL
curl --request POST \ --url https://api.tamtam.ai/api/v2/people/enrich \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "requests": [ { "domain": "<string>", "enrich_fields": [ "<string>" ], "firstname": "<string>", "lastname": "<string>", "company_name": "<string>", "custom": {}, "linkedin_url": "<string>" } ] } '
{ "item_count": 123, "request_id": "<string>", "status": "<string>" }
Submit a batch of people for enrichment. Returns a request ID to poll for results via the GET endpoint.
Account API key passed in the Authorization header
List of people to enrich
1 - 100
Show child attributes
Accepted
Number of items submitted
1
Unique identifier for polling enrichment results
"b3c6f5e2-1234-4abc-9def-0123456789ab"
Current status: PROCESSING, COMPLETED, FAILED
"PROCESSING"